/* *****************************************************************************
 *
 * Filename: AboutDialog.java
 *
 * Author:   Robert Thornburrow
 * Project:  CalendarMaker
 * Created:  17 December 2002, 15:13
 *
 * Purpose:  About box displaying version and copyright.
 *
 * (c) Copyright R.H.Thornburrow, 2003
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

package com.tsac.calmaker;

import java.util.ResourceBundle;

/**
 *
 * @author  Robert
 */
public class AboutDialog
    extends javax.swing.JDialog
{
    // Statics
    public static final ResourceBundle resources = ResourceBundle.getBundle( "com/tsac/calmaker/CalendarMaker" );
    
    
    /** Creates new form AboutDialog */
    public AboutDialog(java.awt.Frame parent, boolean modal)
    {
        super(parent, modal);
        initComponents();
        
        versionLbl.setText( MainFrame.version );
        
        getRootPane().setDefaultButton( okBtn );
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    private void initComponents()//GEN-BEGIN:initComponents
    {
        java.awt.GridBagConstraints gridBagConstraints;

        calmakerLbl = new javax.swing.JLabel();
        copyLbl = new javax.swing.JLabel();
        verPromptLbl = new javax.swing.JLabel();
        versionLbl = new javax.swing.JLabel();
        wwwLbl = new javax.swing.JLabel();
        logoLbl = new javax.swing.JLabel();
        okBtn = new javax.swing.JButton();

        getContentPane().setLayout(new java.awt.GridBagLayout());

        setTitle(resources.getString("About_Taurus_CalendarMaker"));
        setResizable(false);
        addWindowListener(new java.awt.event.WindowAdapter()
        {
            public void windowClosing(java.awt.event.WindowEvent evt)
            {
                closeDialog(evt);
            }
        });

        calmakerLbl.setText(java.util.ResourceBundle.getBundle("com/tsac/calmaker/CalendarMaker").getString("Taurus_CalendarMaker"));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(32, 8, 8, 16);
        getContentPane().add(calmakerLbl, gridBagConstraints);

        copyLbl.setText(java.util.ResourceBundle.getBundle("com/tsac/calmaker/CalendarMaker").getString("Copyright"));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(8, 8, 8, 16);
        getContentPane().add(copyLbl, gridBagConstraints);

        verPromptLbl.setText(java.util.ResourceBundle.getBundle("com/tsac/calmaker/CalendarMaker").getString("Version_"));
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.insets = new java.awt.Insets(8, 8, 8, 4);
        getContentPane().add(verPromptLbl, gridBagConstraints);

        versionLbl.setText("00.00.00");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(8, 4, 8, 16);
        getContentPane().add(versionLbl, gridBagConstraints);

        wwwLbl.setText("www.tsac.co.uk");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.insets = new java.awt.Insets(8, 8, 8, 16);
        getContentPane().add(wwwLbl, gridBagConstraints);

        logoLbl.setIcon(new javax.swing.ImageIcon(getClass().getResource("/com/tsac/calmaker/logo.gif")));
        logoLbl.setBorder(new javax.swing.border.EtchedBorder());
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.gridheight = 5;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTH;
        gridBagConstraints.weighty = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(32, 16, 32, 8);
        getContentPane().add(logoLbl, gridBagConstraints);

        okBtn.setText(java.util.ResourceBundle.getBundle("com/tsac/calmaker/CalendarMaker").getString("OK"));
        okBtn.addActionListener(new java.awt.event.ActionListener()
        {
            public void actionPerformed(java.awt.event.ActionEvent evt)
            {
                okBtnActionPerformed(evt);
            }
        });

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 2;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.ipadx = 40;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.SOUTHEAST;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(8, 8, 16, 16);
        getContentPane().add(okBtn, gridBagConstraints);

        pack();
    }//GEN-END:initComponents

    private void okBtnActionPerformed(java.awt.event.ActionEvent evt)//GEN-FIRST:event_okBtnActionPerformed
    {//GEN-HEADEREND:event_okBtnActionPerformed
        setVisible(false);
        dispose();
    }//GEN-LAST:event_okBtnActionPerformed
    
    /** Closes the dialog */
    private void closeDialog(java.awt.event.WindowEvent evt)
    {//GEN-FIRST:event_closeDialog
        setVisible(false);
        dispose();
    }//GEN-LAST:event_closeDialog
   
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel versionLbl;
    private javax.swing.JButton okBtn;
    private javax.swing.JLabel calmakerLbl;
    private javax.swing.JLabel wwwLbl;
    private javax.swing.JLabel verPromptLbl;
    private javax.swing.JLabel logoLbl;
    private javax.swing.JLabel copyLbl;
    // End of variables declaration//GEN-END:variables
    
}
