/* *****************************************************************************
 *
 * Filename: CalendarPanoramaPanel.java
 *
 * Author:   Robert Thornburrow
 * Project:  CalendarMaker
 * Created:  02 February 2003
 *
 * Purpose:  CalendarPanel laid out as a landscape panoramic calendar template.
 *
 * (c) Copyright R.H.Thornburrow, 2003
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

package com.tsac.calmaker;

import com.tsac.calmaker.beans.*;

/**
 *
 * @author  Robert
 */
public class CalendarPanoramaPanel
    extends com.tsac.calmaker.CalendarPanel
{
    
    /** Creates new form BeanForm */
    public CalendarPanoramaPanel()
    {
        initComponents();
        
        setActualSize( 742, 545 );
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    private void initComponents()//GEN-BEGIN:initComponents
    {
        java.awt.GridBagConstraints gridBagConstraints;

        monthImage1 = new com.tsac.calmaker.beans.MonthImage();
        panoramaCalendar1 = new com.tsac.calmaker.beans.PanoramaCalendar();
        monthTitle1 = new com.tsac.calmaker.beans.MonthTitle();
        staticTitle1 = new com.tsac.calmaker.beans.StaticTitle();

        setLayout(new java.awt.GridBagLayout());

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        add(monthImage1, gridBagConstraints);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 0.02;
        gridBagConstraints.insets = new java.awt.Insets(20, 4, 12, 8);
        add(panoramaCalendar1, gridBagConstraints);

        monthTitle1.setFont(new java.awt.Font("Helvetica", 0, 18));
        monthTitle1.setJustification(Title.JUSTIFY_CENTER);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.insets = new java.awt.Insets(20, 8, 12, 4);
        add(monthTitle1, gridBagConstraints);

        staticTitle1.setFont(new java.awt.Font("SansSerif", 0, 10));
        staticTitle1.setText("(c) Copyright Taurus Software, 2003");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.EAST;
        add(staticTitle1, gridBagConstraints);

    }//GEN-END:initComponents

    
    // From CalendarPanel
    public int getNumPagesWidth()
    {
        return 1;
    }    
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private com.tsac.calmaker.beans.PanoramaCalendar panoramaCalendar1;
    private com.tsac.calmaker.beans.MonthTitle monthTitle1;
    private com.tsac.calmaker.beans.StaticTitle staticTitle1;
    private com.tsac.calmaker.beans.MonthImage monthImage1;
    // End of variables declaration//GEN-END:variables
    
}
