/* *****************************************************************************
 *
 * Filename: DateableTitle.java
 *
 * Author:   Robert Thornburrow
 * Project:  CalendarMaker
 * Created:  07 February 2003
 *
 * Purpose:  Base class for all dateable title beans.
 *
 * (c) Copyright R.H.Thornburrow, 2003
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

package com.tsac.calmaker.beans;

import java.awt.*;

import com.tsac.calmaker.IDateable;


public abstract class DateableTitle
    extends Title
    implements IDateable
{
    // State
    protected int _currmonth;
    protected int _curryear;
    
    
    // Default Constructor
    protected DateableTitle()
    {
    }
        
    
    // From IDateable
    public void setDate( int year, int month )
    {
        _currmonth = month;
        _curryear  = year;
        repaint();
    }
}
